<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<resources>

    <string name="API_VERSION" translatable="false">/v1</string>
    <string name="CLOUD_API_VERSION" translatable="false">/v1</string>
    <string name="SERVICEHUB_API_VERSION" translatable="false">/v1</string>


    <!--3.1 회원, 3.2 홈그룹   -->

    <!--&lt;!&ndash;3.1.1.1 회원 가입 등록 POST /v3/member 회원 가입 정보를 입력 완료 후 인증 이메일을 발송한다.&ndash;&gt;
    <string name="SEND_P_member" translatable="false">/member</string>-->
    <!--3.1.1.4 회원 로그인 POST /v3/member/login 회원 로그인을 처리한다.-->
    <string name="SEND_P_member_login" translatable="false">/member/login</string>
    <!--3.1.1.5 새 단말(장치) 인증 POST /v3/member/new_mobile_device 새로운 단말로 로그인 시 단말(장치) 인증 번호를 확인하고, 단말(장치)을 등록 처리한다. (기존 단말(장치)을 대체할 경우의 처리도 포함)-->
    <string name="SEND_P_member_new_mobile_device" translatable="false">/member/new_mobile_device
    </string>
    <!--R.7.3 비밀번호 찾기 POST /customer/member/{member_id}/password 등록된 휴대폰으로 임시비밀번호를 발급(SMS)한다.-->
    <string name="SEND_P_member_password" translatable="false">/customer/member/%1$s/password</string>
    <!--R.7.20 임시비밀번호 재전송 POST /customer/{cust_id}/group/{ctrt_grp_id}/member/{member_id}/password/temp 임시비밀번호를 재전송한다.-->
    <string name="SEND_P_member_password_temp" translatable="false">/customer/%1$s/group/%2$s/member/%3$s/password/temp</string>
    <!--R.7.14 ID 찾기 POST /customer/{cust_id}/member/find 멤버ID를 찾는다.-->
    <string name="SEND_P_find_id" translatable="false">/customer/%1$s/member/find</string>
    <!--3.1.1.12 회원 로그아웃 GET /v3/member/logout 회원 로그아웃을 처리한다. (인증 토큰 무효화)-->
    <string name="SEND_G_member_logout" translatable="false">/member/logout</string>
    <!--3.1.1.6 회원 로그인 정보 조회 및 푸시 토큰 등록/수정 PUT /v3/member 인증 토큰을 기준으로 회원의 로그인 정보를 조회하고 푸시 토큰을 등록/수정한다.-->
    <string name="SEND_G_member" translatable="false">/member</string>
    <!--R.7.9 회원 정보 수정 PUT /customer/{cust_id}/group/{ctrt_grp_id}/member/{member_id} 회원 정보를 변경 처리한다.(닉네임, 비밀번호 변경에 사용)-->
    <string name="SEND_P_member_info" translatable="false">/customer/%1$s/group/%2$s/member/%3$s</string>
    <!--R.7.8 (기존) 비밀번호 확인 POST /customer/{cust_id}/group/{ctrt_grp_id}/member/{member_id}/password/exist 기존 비밀번호를 확인한다.-->
    <string name="SEND_P_member_password_exist" translatable="false">/customer/%1$s/group/%2$s/member/%3$s/password/exist</string>
    <!--R.8.7 계정 삭제 DELETE /customer/{cust_id}/group/{ctrt_grp_id}/member/{member_id} 마스터 유저가 아닌 일반 유저를 회원 탈퇴 처리한다.-->
    <string name="SEND_D_member" translatable="false">/customer/%1$s/group/%2$s/member/%3$s</string>
    <!--3.2.1.1 홈그룹 멤버 목록 조회 GET /customer/{cust_id}/group/{ctrt_grp_id}/member 홈그룹의 멤버 목록을 조회한다.-->
    <string name="SEND_G_homegrp_members" translatable="false">/customer/%1$s/group/%2$s/member</string>
    <!--R.8.3 홈그룹 멤버 초대 POST /customer/{cust_id}/group/{ctrt_grp_id}/invite (소속된) 홈그룹으로 새 멤버를 초대한다.-->
    <string name="SEND_P_homegrp_invite" translatable="false">/customer/%1$s/group/%2$s/invite</string>
    <!--R.8.4 홈그룹 멤버 강퇴 / 초대 취소 DELETE /customer/{cust_id}/group/{ctrt_grp_id}/member (소속된)홈그룹의 멤버를 강퇴하거나 초대를 취소한다.-->
    <string name="SEND_D_homegrp_members" translatable="false">/customer/%1$s/group/%2$s/member</string>
    <!--R.7.11 인증퀴즈 목록 조회 GET /quiz 전체 인증퀴즈 목록을 조회한다.-->
    <string name="SEND_G_homegrp_members_quiz_list" translatable="false">/quiz</string>
    <!--R.7.6 초대 멤버 인증퀴즈 요청 POST /customer/{cust_id}/group/{ctrt_grp_id}/quiz/request 초대 멤버의 인증퀴즈를 전송합니다.-->
    <string name="SEND_P_member_quiz_request" translatable="false">/customer/%1$s/group/%2$s/quiz/request</string>
    <!--R.7.18 초대 멤버 인증퀴즈 확인 POST /customer/{cust_id}/group/{ctrt_grp_id}/quiz/response 초대 멤버의 인증퀴즈의 정답을 전송한다.-->
    <string name="SEND_P_member_quiz_response" translatable="false">/customer/%1$s/group/%2$s/quiz/response</string>
    <!--3.2.1.6 홈그룹 초대 알림 POST /v3/homegrp_members/invitations 홈초대 알림 화면에서 승락/거절 처리를 한다. (+ 초대 수락 처리 후에 나머지 요청은 거절한다.)-->
    <string name="SEND_P_homegrp_members_invitations" translatable="false">/homegrp_members/invitations</string>
    <!--R.7.16 초대할 멤버 휴대폰 번호 체크 GET /customer/{cust_id}/group/{ctrt_grp_id}/member/{member_id}/phone/{phone} 초대할 멤버의 휴대폰 번호 유효성을 체크한다.(이미 초대를 받아 수락대기중인 번호는 초대 불가능)-->
    <string name="SEND_P_homegrp_members_validation" translatable="false">/customer/%1$s/group/%2$s/member/%3$s/phone/%4$s</string>
    <!--R.7.10 회원 프로필 이미지 등록 POST /customer/{cust_id}/group/{ctrt_grp_id}/member/{member_id}/profile_image 회원의 프로필 이미지를 등록(변경)한다.-->
    <string name="SEND_P_member_profile_image" translatable="false">/customer/%1$s/group/%2$s/member/%3$s/profile_image</string>
    <!--3.2.2.1 홈그룹 이미지 변경 POST /v3/homegrp/profile_image 홈그룹의 프로필 이미지를 수정.-->
    <string name="SEND_P_homegrp_profile_image" translatable="false">/homegrp/profile_image</string>
    <!--3.2.1.5 홈그룹 초대 목록 GET /v3/homegrp_members/invitations 초대받은 홈그룹 목록을 호출-->
    <string name="SEND_G_homegrp_members_invitations" translatable="false">/homegrp_members/invitations</string>
    <!--3.2.1.7 홈그룹 (자진) 탈퇴 DELETE /v3/homegrp_members/self 일반 등급의 홈그룹 멤버를 홈그룹에서 자진 탈퇴 처리한다.-->
    <string name="SEND_D_homegrp_members_member_id" translatable="false">/homegrp_members/self</string>
    <!--3.2.2.2 홈그룹 생성 POST /v3/homegrp (홈그룹에 속해 있지 않은 회원이 마스터가 되는) 홈그룹을 새로 생성한다. -->
    <string name="SEND_P_homegrp" translatable="false">/homegrp</string>
    <!--R.7.15 마스터 권한 양도 변경 신청 PUT /customer/{cust_id}/group/{ctrt_grp_id}/member/{member_id}/master/grade 마스터 권한을 변경한다.-->
    <string name="SEND_P_homegrp_master_grade" translatable="false">/customer/%1$s/group/%2$s/member/%3$s/master/grade</string>
    <!--R.7.4 휴대폰 인증번호 발송 POST /phone/request 휴대폰 인증을 위해 핀번호를 발송한다.-->
    <string name="SEND_P_member_phone_request" translatable="false">/phone/request</string>
    <!--R.7.5 휴대폰번호 인증 확인 POST /phone/response 휴대폰번호 인증번호가 유효한지 확인합니다.-->
    <string name="SEND_P_member_phone_response" translatable="false">/phone/response</string>
    <!--R.7.13 휴대폰 번호 변경 PUT /customer/{cust_id}/group/{ctrt_grp_id}/member/{member_id}/phone 회원의 휴대폰 번호를 변경한다.-->
    <string name="SEND_P_member_phone" translatable="false">/customer/%1$s/group/%2$s/member/%3$s/phone</string>
    <!--R.7.7 아이디 중복 확인 GET /customer/{cust_id}/group/{ctrt_grp_id}/member/{member_id}/exist 신청한 멤버ID를 중복체크한다.-->
    <string name="SEND_G_member_exist" translatable="false">/customer/%1$s/group/%2$s/member/%3$s/exist</string>
    <!--R.7.1 마스터 회원 가입 등록 POST /master 마스터 회원 정보를 등록한다.-->
    <string name="SEND_P_master" translatable="false">/master</string>
    <!--R.8.10 홈그룹 멤버 등록 POST /member 일반회원을 가입한다.-->
    <string name="SEND_P_member" translatable="false">/member</string>

    <!--20 대시보드/홈로그/홈모드   -->

    <!--R.11.1 모드 조회 GET customer/{cust_id}/group/{ctrt_grp_id}/mode 해당 홈그룹의 모드 목록을 조회한다.-->
    <string name="SEND_G_modes" translatable="false">/customer/%1$s/group/%2$s/mode</string>
    <!--R.11.2 현재 홈모드 변경 PUT /customer/{cust_id}/group/{ctrt_grp_id}/mode 현재 홈모드를 변경한다.-->
    <string name="SEND_P_mode_change" translatable="false">/customer/%1$s/group/%2$s/mode</string>
    <!--R.12.1 대시보드 정보 조회 POST /customer/{cust_id}/group/{ctrt_grp_id}/dashboard 모드 목록, 공지 및 알림 개수 등을 조회한다.-->
    <string name="SEND_P_dashboard" translatable="false">/customer/%1$s/group/%2$s/dashboard</string>
    <!--R.12.4 알림 목록 조회 POST /customer/{cust_id}/group/{ctrt_grp_id}/messages 알림 목록을 조회한다.-->
    <string name="SEND_P_messages" translatable="false">/customer/%1$s/group/%2$s/messages</string>
    <!--R.12.3 공지사항 목록 조회 POST /customer/{cust_id}/group/{ctrt_grp_id}/notices 공지사항 목록을 조회한다.-->
    <string name="SEND_P_notices" translatable="false">/customer/%1$s/group/%2$s/notices</string>
    <!--R.12.7 FAQ 목록 조회 POST /faq FAQ 목록을 조회한다.-->
    <string name="SEND_P_faq" translatable="false">/faq</string>
    <!--R.12.7 FAQ 상세 조회 GET /faq/{faq_id} FAQ 내용을 조회한다.-->
    <string name="SEND_G_faq_detail" translatable="false">/faq/%1$s</string>
    <!--20.9 홈모드 변경 결과 조회 GET /v3/modes/:mode_id/status 현재 홈모드 변경으로 장치를 제어한 결과를 조회한다.20.9-->
    <string name="SEND_G_modes_mode_id_status" translatable="false">/modes/:mode_id/status</string>

    <!--3.3 Things(내 장치)   -->

    <!--3.3.1.1 장치 리스트 조회 GET 회원의 장치 목록을 조회한다.-->
    <string name="SEND_P_node_list" translatable="false">/customer/%1$s/group/%2$s/node</string>
    <!--3.3.1.2 장치 상세 조회 GET 해당 노드의 상세 정보를 조회한다. (장치가 보유한 모든 커맨드 클래스 리스트를 보여준다.)-->
    <string name="SEND_G_node" translatable="false">/customer/%1$s/group/%2$s/device/%3$s/node/%4$s</string>
    <!--3.3.1.3 장치 명/아이콘 변경 PUT  /ocs/v1/customer/{cust_id}/group/{ctrt_grp_id}/device-->
    <string name="SEND_P_device_node_namechange" translatable="false">/customer/%1$s/group/%2$s/device</string>
    <!--30.1 하위 장치 추가/삭제 결과 조회 (Polling 용) GET /v3/devices/:device_id/commands/status 하위 장치의 추가/삭제 명령 결과를 조회한다.-->
    <string name="SEND_G_devices_device_id_commands_status" translatable="false">/devices/:device_id/commands/status</string>
    <!--3.3.1.4 디바이스 소유권 변경 PUT /v3/devices/{device_id}/ownership 기존 디바이스의 비밀번호를 확인하여 일치하면 소유권을 변경 처리한다. -->
    <string name="SEND_P_devices_device_id_ownership" translatable="false">/devices/:device_id/ownership</string>
    <!--3.3.1.6 디바이스 비밀번호 변경 PUT /v3/devices/:device_id/password (소유권을 확인할 때 사용하는) 디바이스 비밀번호를 변경한다.-->
    <string name="SEND_P_devices_device_id_password" translatable="false">/devices/:device_id/password</string>
    <!--33.12 복수 - 노드(커맨드클래스) 마지막 상태 값 조회 GET /v3/devices/nodes 복수 노드(커맨드클래스)의 마지막 상태 값을 조회한다.-->
    <string name="SEND_G_devices_nodes" translatable="false">/devices/nodes</string>
    <!--3.3.1.7 (외출 상태시) 경고 필요한 장치 조회 GET /v3/devices/warning_nodes (외출 상태시) 경고가 필요한 장치 노드 목록을 조회한다.-->
    <string name="SEND_G_devices_warning_nodes" translatable="false">/devices/warning_nodes</string>
    <!--R.9.5 (등록 진행하기 전) 해당 디바이스의 기 등록여부를 조회한다. GET /customer/{cust_id}/group/{ctrt_grp_id}/device_exist?device_mf_id={device_mf_id}&device_model_id={device_model_id}&device_sn={device_sn}-->
    <string name="SEND_G_device_exist" translatable="false">/customer/%1$s/group/%2$s/device_exist</string>
    <!-- 등록하려는 홈허브에 device_id, device_key 정보를 전달한다. POST http://%1$s:8877/deviceinfo -->
    <string name="SEND_P_deviceinfo" translatable="false">http://%1$s:8877/deviceinfo</string>
    <!-- R.9.6	디바이스 순서 초기화	PUT  /ocs/v1/customer/{cust_id}/group/{ctrt_grp_id}/device/seq/init		-->
    <string name="SEND_P_device_seq_init" translatable="false">/customer/%1$s/group/%2$s/device/seq/init</string>
    <!-- R.9.9	디바이스/노드 순서변경	PUT  /ocs/v1/customer/{cust_id}/group/{ctrt_grp_id}/device/seq	-->
    <string name="SEND_P_device_seq" translatable="false">/customer/%1$s/group/%2$s/device/seq</string>
    <!-- R.9.4 디바이스 목록 조회 GET /customer/{cust_id}/group/{ctrt_grp_id}/device/{device_id} 해당 홈그룹의 전체 디바이스 목록을 조회한다. -->
    <string name="SEND_G_device" translatable="false">/customer/%1$s/group/%2$s/device%3$s</string>

    <!--3.4 Rules(홈 규칙)   -->

    <!--R.10.1 규칙 목록 조회 GET /customer/{cust_id}/group/{ctrt_grp_id}/rule 해당 홈그룹의 규칙 목록을 조회한다.-->
    <string name="SEND_G_rules" translatable="false">/customer/%1$s/group/%2$s/rule</string>
    <!--R.10.2 규칙 상세 조회 GET /customer/{cust_id}/group/{ctrt_grp_id}/rule/{rule_id} 해당 규칙의 정보를 상세 조회한다.-->
    <string name="SEND_G_rules_homegrp_rule_id" translatable="false">/customer/%1$s/group/%2$s/rule/%3$s</string>
    <!--R.10.5 규칙 실행 상태 변경 PUT /customer/{cust_id}/group/{ctrt_grp_id}/rule/{rule_id}/status 해당 규칙의 실행 상태를 변경한다.-->
    <string name="SEND_P_rules_status" translatable="false">/customer/%1$s/group/%2$s/rule/%3$s/status</string>
    <!--R.10.3 규칙 등록 POST /customer/{cust_id}/group/{ctrt_grp_id}/rule 규칙을 등록한다.-->
    <string name="SEND_P_rules" translatable="false">/customer/%1$s/group/%2$s/rule</string>
    <!--R.10.4 규칙 수정 PUT /customer/{cust_id}/group/{ctrt_grp_id}/rule/{rule_id} 해당 규칙을 수정한다.-->
    <string name="SEND_P_rules_homegrp_rule_id" translatable="false">/customer/%1$s/group/%2$s/rule/%3$s</string>
    <!--R.10.6 규칙 삭제 DELETE /customer/{cust_id}/group/{ctrt_grp_id}/rule/{rule_id} 해당 규칙을 삭제한다.-->
    <string name="SEND_D_rules_homegrp_rule_id" translatable="false">/customer/%1$s/group/%2$s/rule/%3$s</string>
    <!--R.10.7 규칙 (항목 선택 가능한) 디바이스 커맨드클래스 목록 조회 GET /customer/{cust_id}/group/{ctrt_grp_id}/rule/device/item/{item_type_code} 규칙의 항목에서 선택 가능한 디바이스의 커맨드클래스 목록을 조회한다.-->
    <string name="SEND_G_rules_item_devices_item_type_code" translatable="false">/customer/%1$s/group/%2$s/rule/device/item/%3$s</string>

    <!--50 Scenes(멀티 제어)   -->

    <!--R.11.3 모드의 규칙 상세 조회 GET /customer/{cust_id}/group/{ctrt_grp_id}/mode/{mode_id}/rule 해당 모드에 걸린 규칙의 정보를 상세 조회한다.-->
    <string name="SEND_G_mode_scenes_mode_id" translatable="false">/customer/%1$s/group/%2$s/mode/%3$s/rule</string>
    <!--R.11.4 모드의 규칙 등록/수정 POST /customer/{cust_id}/group/{ctrt_grp_id}/mode/{mode_id}/rule 해당 모드에 규칙을 등록하거나 수정한다.-->
    <string name="SEND_P_mode_scenes_mode_id" translatable="false">/customer/%1$s/group/%2$s/mode/%3$s/rule</string>
    <!--R.11.5 모드의 규칙 삭제 DELETE /customer/{cust_id}/group/{ctrt_grp_id}/mode/{mode_id}/rule 해당 모드에 걸린 규칙을 삭제한다.-->
    <string name="SEND_D_modes_mode_id_rule" translatable="false">/customer/%1$s/group/%2$s/mode/%3$s/rule</string>

    <!--60 설정/기타(공통)   -->

    <!--3.6.3.1 앱 버전 정보 조회 GET /v3/mobile_app/version 서비스 이용이 가능한 앱 버전 정보를 조회한다.-->
    <string name="SEND_P_app_version" translatable="false">/mobile_app/version</string>
    <!--R.12.6 야후날씨 지역코드 목록 조회 GET /weather/location 야후 날씨에 사용할 지역코드목록을 조회한다.-->
    <string name="SEND_G_common_weather_location_codes" translatable="false">/weather/location
    </string>
    <!--R.7.12 회원의 푸시 노티 수신여부를 설정한다. PUT /customer/{cust_id}/group/{ctrt_grp_id}/member/{member_id}/push/noti 알림 수신 여부를 설정 한다. (예 : 홈모드가 바뀔 때)-->
    <string name="SEND_P_member_push_noti" translatable="false">/customer/%1$s/group/%2$s/member/%3$s/push/noti</string>
    <!--R.7.17 마스터 권한 양도 수락/거절 PUT /customer/{cust_id}/group/{ctrt_grp_id}/member/{member_id}/grade 멤버의 마스터 권한을 수락 or 거절 요청한다. (C : 양도 거절, T : 양도 수락)-->
    <string name="SEND_P_member_grade" translatable="false">/customer/%1$s/group/%2$s/member/%3$s/grade</string>

    <!-- Cloud Gateway -->

    <!--CR.1.2 Cloud Node 등록 POST /v1/cloud/devices/:device_id/nodes Cloud to Cloud 연동 Node 등록 -->
    <string name="SEND_P_cloud_devices_device_id_nodes" translatable="false">
        /cloud/devices/:device_id/nodes
    </string>
    <!--CR.1.6 Cloud Node 삭제 POST /v1/cloud/devices/:device_id/nodes Cloud to Cloud 연동 Node 삭제 -->
    <string name="SEND_D_cloud_devices_device_id_nodes_node_id" translatable="false">
        /cloud/devices/:device_id/nodes/:node_id
    </string>

    <!-- Servicehub -->

    <!--R.6.3 Postman or Mobile App에 의한 하위 디바이스 삭제 - Zwave나 Zigbee 같은 Inclusion과정이 필요없는 장치용(ex : IP Camera or IP기반 장치) 			 -->
    <string name="SEND_D_servicehub_devices_device_id_nodes_node_id" translatable="false">
        /devices/:device_id/nodes/:node_id
    </string>

    <!-- Netatmo URL -->
    <!--<string name="netatmo_auth" translatable="false"><![CDATA["https://api.netatmo.com/oauth2/authorize?client_id=586dd4d6ac34a5bc888b89a9&redirect_uri=kneet-app://getOauthCode&scope=read_camera access_camera&state=requestKneetAuth"]]></string>-->
    <string name="netatmo_auth" translatable="false">
        <![CDATA["https://api.netatmo.com/oauth2/authorize?client_id=%1$s&redirect_uri=kneet-app://getOauthCode&scope=read_camera access_camera&state=requestKneetAuth"]]></string>
</resources>